# DID | xrpl
Documentation for xrpl

# Interface DID

#### Hierarchy

- BaseLedgerEntry
- HasPreviousTxnID
  - DID

- Defined in packages/xrpl/src/models/ledger/DID.ts:8

#####
Index

### Properties

Account
DIDDocument
Data
Flags
LedgerEntryType
OwnerNode
PreviousTxnID
PreviousTxnLgrSeq
URI
index

## Properties

### Account

Account: string

- Defined in packages/xrpl/src/models/ledger/DID.ts:11

### DIDDocument

DIDDocument: string

- Defined in packages/xrpl/src/models/ledger/DID.ts:15

### Data

Data: string

- Defined in packages/xrpl/src/models/ledger/DID.ts:13

### Flags

Flags: 0

- Defined in packages/xrpl/src/models/ledger/DID.ts:19

### LedgerEntryType

LedgerEntryType: "DID"

- Defined in packages/xrpl/src/models/ledger/DID.ts:9

### OwnerNode

OwnerNode: string

- Defined in packages/xrpl/src/models/ledger/DID.ts:21

### PreviousTxnID

PreviousTxnID: string

The identifying hash of the transaction that most recently modified this object.

Inherited from HasPreviousTxnID.PreviousTxnID

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:10

### PreviousTxnLgrSeq

PreviousTxnLgrSeq: number

The index of the ledger that contains the transaction that most recently modified this object.

Inherited from HasPreviousTxnID.PreviousTxnLgrSeq

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:15

### URI

URI: string

- Defined in packages/xrpl/src/models/ledger/DID.ts:17

### index

index: string

Inherited from BaseLedgerEntry.index

- Defined in packages/xrpl/src/models/ledger/BaseLedgerEntry.ts:2

Generated using TypeDoc